Data - Retrieve Performance Data

Pobiera dane wydajności dla określonego zakresu/parametrów.

POST http://<Servername>/OperationsManager/data/performance

Treść żądania

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Nazwa Typ Opis
duration

integer

Czas trwania

id

string

Identyfikator żądania wydajności

performanceCounters

object[]

liczniki wydajności

Odpowiedzi

Nazwa Typ Opis
200 OK

PerformanceResponse

OK. Pomyślnie pobrano dane wydajności.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Przykłady

RetrievePerformanceData

Przykładowe żądanie

POST http://<Servername>/OperationsManager/data/performance

Przykładowa odpowiedź

{
  "datasets": [
    {
      "data": {},
      "id": "10a8e3ed-27d7-e860-d22f-c6ea7820883824"
    }
  ],
  "legends": {
    "tableColumns": [
      {
        "field": "performanceobject",
        "header": "Performance object",
        "type": null,
        "hidden": false
      },
      {
        "field": "performancecounter",
        "header": "Performance counter",
        "type": null,
        "hidden": false
      },
      {
        "field": "performanceinstance",
        "header": "Performance instance",
        "type": null,
        "hidden": false
      },
      {
        "field": "averagevalue",
        "header": "Average value",
        "type": null,
        "hidden": false
      },
      {
        "field": "maximumvalue",
        "header": "Maximum value",
        "type": null,
        "hidden": false
      },
      {
        "field": "minimumvalue",
        "header": "Minimum value",
        "type": null,
        "hidden": false
      },
      {
        "field": "lastvalue",
        "header": "Last value",
        "type": null,
        "hidden": false
      },
      {
        "field": "path",
        "header": "Path",
        "type": null,
        "hidden": false
      },
      {
        "field": "target",
        "header": "Target",
        "type": null,
        "hidden": false
      }
    ],
    "rows": [
      {
        "performanceobject": "ManagementGroupAlerts",
        "performancecounter": "AlertsCount",
        "performanceinstance": "Total",
        "averagevalue": 0,
        "maximumvalue": -1.7976931,
        "minimumvalue": 1.79769313,
        "lastvalue": 0,
        "path": "",
        "target": "All Management Servers Resource Pool",
        "id": "10a8e3ed-27d7-e860-d22f-c6ea7820883824"
      }
    ]
  }
}

Definicje

Nazwa Opis
GraphData
PerformanceRequest
PerformanceResponse
TableColumn
TableDataResponse

GraphData

Nazwa Typ Opis
data

object

id

string

PerformanceRequest

Nazwa Typ Opis
duration

integer

Czas trwania

id

string

Identyfikator żądania wydajności

performanceCounters

object[]

liczniki wydajności

PerformanceResponse

Nazwa Typ Opis
datasets

GraphData[]

legends

TableDataResponse

TableColumn

Nazwa Typ Opis
field

string

Nazwa kolumny

header

string

Nagłówek kolumny

hidden

boolean

Czy kolumna jest ukryta

type

string

Typ kolumny

TableDataResponse

Nazwa Typ Opis
rows

object[]

Wiersze tabeli danych

tableColumns

TableColumn[]

Kolumny tabeli danych